Package lcm.logging

# Class Log.Event

java.lang.Object
lcm.logging.Log.Event

Enclosing class:
  `Log`

public static class Log.Event extends Object
Represents a single received LCM message.

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`channel`
Channel on which the message was received.
`byte[]`
`data`
Raw data bytes of the message body.
`long`
`eventNumber`
Event number assigned to the message in the log file.
`long`
`utime`
Time of message receipt, represented in microseconds since 00:00:00 UTC January 1, 1970.

## Constructor Summary

Constructors
Constructor
Description
`Event()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### utime

public long utime
Time of message receipt, represented in microseconds since 00:00:00 UTC January 1, 1970.

### eventNumber

public long eventNumber
Event number assigned to the message in the log file.

### data

public byte[] data
Raw data bytes of the message body.

### channel

public String channel
Channel on which the message was received.

## Constructor Details

### Event

public Event()